Index: trunk/softs/soft_sort_giet/hard_config.h
===================================================================
--- trunk/softs/soft_sort_giet/hard_config.h	(revision 626)
+++ trunk/softs/soft_sort_giet/hard_config.h	(revision 629)
@@ -14,10 +14,12 @@
 #define	 NB_PROCS_MAX        4
 
+#define  USE_EXT_IO          1
+
 #define	 NB_DMA_CHANNELS     0
-#define	 NB_TTY_CHANNELS     (NB_PROCS_MAX * X_SIZE * Y_SIZE)
 #define	 NB_HBA_CHANNELS     0
 #define	 NB_NIC_CHANNELS     0
 #define	 NB_CMA_CHANNELS     0
 
+#define	 NB_TTY_CHANNELS     4
 
 #endif //_HARD_CONFIG_H
Index: trunk/softs/soft_sort_giet/ldscript
===================================================================
--- trunk/softs/soft_sort_giet/ldscript	(revision 626)
+++ trunk/softs/soft_sort_giet/ldscript	(revision 629)
@@ -1,5 +1,5 @@
 /**********************************************************
 	File : ldscript 
-	Author : Cesar Fuguet
+	Author : Alain Greiner
 	Date : January 2014
 **********************************************************/
@@ -23,8 +23,11 @@
 
 seg_xcu_base    = 0xF0000000;       /* controler XCU */
-seg_tty_base    = 0xF2000000;       /* controler TTY */
+seg_tty_base    = 0xF4000000;       /* controler TTY */
 seg_fbf_base    = 0xF3000000;       /* controler FBF */
-seg_ioc_base    = 0xF4000000;       /* controler IOC */
-seg_mmc_base    = 0xFF000000;       /* config    MMC */
+seg_ioc_base    = 0xF2000000;       /* controler IOC */
+seg_nic_base    = 0xF7000000;       /* controler NIC */
+seg_cma_base    = 0xF8000000;       /* controler CMA */
+seg_pic_base    = 0xF9000000;       /* controler PIC */
+seg_mmc_base    = 0xE0000000;       /* config    MMC */
 
 
Index: trunk/softs/soft_sort_giet/main.c
===================================================================
--- trunk/softs/soft_sort_giet/main.c	(revision 626)
+++ trunk/softs/soft_sort_giet/main.c	(revision 629)
@@ -57,11 +57,11 @@
     /* Hello World */
 
-    task0_printf("\n[ PROC %d\t] Starting SORT application\n", proc_id);
-
-    task0_printf("[ PROC %d\t] MESH %d x %d x %d processors\n",
-                 proc_id, X_SIZE, Y_SIZE, NB_PROCS_MAX);
-
-    /**************************************************************************/
-    /* Barriers Inititialitatin */
+    task0_printf("\n[ PROC_%d_%d_%d ] Starting SORT application\n",x,y,lid);
+
+    task0_printf("[ PROC_%d_%d_%d ] MESH %d x %d x %d processors\n",
+                 x,y,lid, X_SIZE, Y_SIZE, NB_PROCS_MAX);
+
+    /**************************************************************************/
+    /* Barriers Initialisation */
 
     if (thread_id == 0)
@@ -69,10 +69,10 @@
         for (i = 0; i < __builtin_ctz(total_procs); i++)
         {
-            printf("[ PROC %d\t] Initializing barrier %d with %d\n",
-                proc_id, i, total_procs >> i);
+            printf("[ PROC_%d_%d_%d ] Initializing barrier %d with %d\n",
+                x,y,lid, i, total_procs >> i);
 
             _barrier_init(i, total_procs >> i);
         }
-
+        printf("\n");
         asm volatile ("sync");
         init_ok = 1;
@@ -80,5 +80,5 @@
 
     /**************************************************************************/
-    /* Array Inititialitatin */
+    /* Array Initialisation */
 
     for (i = IPP * thread_id; i < IPP * (thread_id + 1); i++)
@@ -93,7 +93,7 @@
     /* Parallel sorting of array pieces */
 
-    printf("[ PROC %d\t] Stage 0: Processor Sorting...\n\r", proc_id);
+    printf("[ PROC_%d_%d_%d ] Stage 0: Starting...\n\r", x,y,lid);
     bubbleSort(array0, IPP, IPP * thread_id);
-    printf("[ PROC %d\t] Stage 0: Finishing...\n\r", proc_id);
+    printf("[ PROC_%d_%d_%d ] Stage 0: Finishing...\n\r", x,y,lid);
 
     for (i = 0; i < __builtin_ctz(total_procs); i++)
@@ -104,5 +104,5 @@
         if((thread_id % (2 << i)) != 0) _exit();
 
-        printf("[ PROC %d\t] Stage %d: Starting...\n\r", proc_id, i+1);
+        printf("[ PROC_%d_%d_%d ] Stage %d: Starting...\n\r", x,y,lid, i+1);
 
         if((i % 2) == 0)
@@ -124,5 +124,5 @@
                 );
 
-        printf("[ PROC %d\t] Stage %d: Finishing...\n\r", proc_id, i+1);
+        printf("[ PROC_%d_%d_%d ] Stage %d: Finishing...\n\r", x,y,lid, i+1);
     }
 
@@ -147,5 +147,5 @@
         if (success)
         {
-            printf("[ PROC %d\t] Success!!\n\r", proc_id);
+            printf("[ PROC_%d_%d_%d ] Success!!\n\r", x,y,lid);
         }
         else
